DCMTK: EctEnhancedCT::Frames< PixelType > Class Template Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
EctEnhancedCT::Frames< PixelType > Class Template Reference

Inner class that offers typed interface to bulk data. More...

## Public Types
typedef PixelType | pixel_type
| Binary pixel type.

## Public Member Functions
OFCondition | addFrame (PixelType *data, const size_t numPixels, const OFVector< FGBase * > &perFrameInformation)
| Method that adds a frame to the Enhanced CT using the underlying binary data type.
PixelType * | getFrame (const size_t frameNumber)
| Type-specific getFrame() method that returns Sint16 or Uint16 (whatever is used in this Enhanced CT)

## Private Member Functions
| Frames (EctEnhancedCT &ct)
| Create Frames object in EctEnhancedCT (see friend declaration above)

## Private Attributes
EctEnhancedCT & | m_CT
| Reference to Enhanced CT object in order to access its pixel data.

## Friends
class | EctEnhancedCT
| Make sure the Enhanced CT object (and no one else) can use the constructor below.

## Detailed Description

template<typename PixelType>
class EctEnhancedCT::Frames< PixelType >

Inner class that offers typed interface to bulk data.

## Constructor & Destructor Documentation

## ◆ Frames()

template<typename PixelType>

EctEnhancedCT::Frames< PixelType >::Frames | ( | EctEnhancedCT & | ct | ) |
| private

Create Frames object in EctEnhancedCT (see friend declaration above)

Parameters

  ct | The CT object that will contain the frames

References EctEnhancedCT.

## Member Function Documentation

## ◆ addFrame()

template<typename PixelType>

OFCondition EctEnhancedCT::Frames< PixelType >::addFrame | ( | PixelType * | data,
|  | const size_t | numPixels,
|  | const OFVector< FGBase * > & | perFrameInformation )

Method that adds a frame to the Enhanced CT using the underlying binary data type.

Parameters

  data | The frame data
  numPixels | The number of pixels (rows * columns) of the frame
  perFrameInformation | The per-frame functional groups applying for

Returns
  EC_Normal if adding was successful, error otherwise

## ◆ getFrame()

template<typename PixelType>

PixelType * EctEnhancedCT::Frames< PixelType >::getFrame | ( | const size_t | frameNumber | ) |

Type-specific getFrame() method that returns Sint16 or Uint16 (whatever is used in this Enhanced CT)

Parameters

  frameNumber | The frame number to get, starting from 0

Returns
  Pointer to typed pixel data

The documentation for this class was generated from the following file:

- dcmect/include/dcmtk/dcmect/enhanced_ct.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2